Subject: bug#52507: [PATCH] Option for vc-delete-file to keep file on disk

From: Juri Linkov <[email-masked]>
Date: Mon, 27 Dec 2021 19:58:31 +0200

> Say you use the current vc-delete-file and then immediately restore it
> from backup (before commiting).  VC will show the file as unregistered.
> I think this behavior of vc should be fixed instead.

Actually, to restore a deleted file there is a command 'vc-revert'.
Obviously it can't be called on a deleted file or its buffer
because it's already gone.  But it can be used on a line
with the tag "removed" in the vc-dir buffer.  There is
no shorter vc-dir binding to this command, so the global keybinding
'C-x v u' could be used on the vc-dir line with the removed file.
This completely reverses the deletion.